<script lang="ts">
export default {
  name: 'JScrollbarContainer',
};
</script>

<template>
  <div class="j-scrollbar-container">
    <slot />
  </div>
</template>

<style scoped lang="scss">
@use './mixins' as scrollbarMixins;

.j-scrollbar-container {
  position: relative;
  width: auto;
  height: 100%;
  overflow: hidden;

  &:hover {
    :deep(.j-scrollbar-thumb) {
      @include scrollbarMixins.active-thumb;
    }

    :deep(.j-scrollbar-track)::before {
      @include scrollbarMixins.active-track;
    }
  }
}
</style>
